HTTP/2 error with windows desktop clients 2.5.X

Server:
Nextcloud version: 16.0.1
Operating system and version: Ubuntu 18.04.2 LTS
Plesk Onyx v17.8.11_build1708180613.11 os_Ubuntu 18.04
Nginx: 1.14.2
Apache: 2.4.29
PHP version 7.3.6

Desktop:
Windows 10 Pro Version 1809
Nextcloud client 2.5.0 and 2.5.2

The issue you are facing:

As I upgraded my server to ubuntu 18.04. LTS (with PLESK) I also installed my nextcloud completely new (previous version 15.X). Everything worked fine (Installation, sync with IOS-Apps) but the syncronization between my Windows PC and the Server failed. Sync took place for some files but then the error message came up:

HTTP/2 protocol error.

Then the desktop client closed completely as I touched the icon. This happened several times.

Install/reinstall of nextcloud desktop client 2.5.2 did not help.
Downgrade to nextcloud desktop client 2.5.0 did not help

But downgrade to nextcloud desktop client 2.3.3.1 solved the problem. Now it works but - as mentioned above - not with the latest nextcloud-desktop-clients 2.5.0 or 2.5.2.

Any idea how to upgrade to the present Version 2.5.2 of the desktop client without this problem?

There is an issue about http2-errors on the client:

Check if that topic is similar to your issue (it should have more in common that only http2 does not work).